<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}
 /**
  * @version    1.0
  * @package    VirtuSky
  * @author     Themelooks <support@themelooks.com>
  *
  * Websites: http://www.themelooks.com
  *
  */

if ( post_password_required() ) 
{
    return;
}
?>

    <?php if ( have_comments() ) : ?>
        <h2 class="post-comments-title"><?php printf( _nx( '1 Comment', '%1$s Comments', get_comments_number(), 'comments title', 'virtusky' ), number_format_i18n( get_comments_number() ) ); ?></h2>
		
        <?php the_comments_navigation(); ?>
        <div class="post-comments">
            <ul>
                <?php
                    wp_list_comments( array(
                        'style'       => 'ul',
                        'short_ping'  => true,
                        'avatar_size' => 70,
                        'callback'    => 'virsky_comment_callback'
                    ) );
                ?>
            </ul><!-- .comment-list -->
        </div>
        <?php the_comments_navigation(); ?>

    <?php endif; // Check for have_comments(). ?>

    <?php
        // If comments are closed and there are comments, let's leave a little note, shall we?
        if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'comments' ) ) :
    ?>
        <p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'virtusky' ); ?></p>
    <?php endif; ?>
    
<div class="post-comment-form-wrapper">
    <?php
        $commenter = wp_get_current_commenter();
        $req = get_option( 'require_name_email' );
        $aria_req = ( $req ? "required='required'" : '' );
        $fields =  array(
          'author' =>'<div class="row"><div class="col-md-4"><div class="input--text"><input class="form-control" type="text" name="author" placeholder="'.esc_attr__( 'Name', 'virtusky' ).'" value="'. esc_attr( $commenter['comment_author'] ).'" id="commenterName" '.$aria_req.'><div class="highlight"></div></div></div>',
          'email' =>'<div class="col-md-4"><div class="input--text"><input class="form-control" type="text" placeholder="'.esc_attr__( 'Email', 'virtusky' ).'" name="email"  value="' . esc_attr(  $commenter['comment_author_email'] ) .'" id="commenterEmail" '.$aria_req.'><div class="highlight"></div></div></div>',
          'url' =>'<div class="col-md-4"><div class="input--text"><input class="form-control" type="text" placeholder="'.esc_attr__( 'Website', 'virtusky' ).'"  name="url" value="'. esc_attr( $commenter['comment_author_url'] ) .'" id="commenterWebsite"><div class="highlight"></div></div></div></div>',
		  'cookies' =>'<div class="row"><div class="col-md-12"><div class="comment-form-cookies-consent checkbox"><label for="wp-comment-cookies-consent"><input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" value="yes" type="checkbox">'.esc_html__( 'Save my name, email, and website in this browser for the next time I comment.', 'virtusky' ).'</label><div class="highlight"></div></div></div></div>',
        );

        
                
        $args=array(
        'comment_field'         =>'<div class="row"><div class="col-md-12"><div class="input--text"><textarea class="form-control" rows= "6"  name="comment" placeholder="'.esc_attr__( 'Comment Text', 'virtusky' ).'"></textarea><div class="highlight"></div></div></div></div>',
        'id_form'               =>'postCommentForm',
        'class_form'               =>'post-comment-form-group',
        'title_reply_before'    =>'<h2 class="post-comments-title">',
        'title_reply_after'     =>'</h2>',
        'class_submit'          => 'form-control submit-btn',
        'label_submit'          => 'Submit',
        'fields'                =>$fields,
        );
       
        comment_form( $args );
    ?>
</div>
<!-- .comments-area -->
