<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit();
}
/**
 * @Packge    : VirtuSky
 * @version   : 2.7
 * @Author    : ThemeLooks
 * @Author URI: https://www.themelooks.com/
 */

// Define Template Path
define('VIRSKYPATHTEMPDIR', get_parent_theme_file_path() );
define('VIRSKYPATHTEMPDIRINC', VIRSKYPATHTEMPDIR.'/inc/' );
define('VIRSKYPATHFRAME', VIRSKYPATHTEMPDIRINC . 'virsky-framework/' );
define('VIRSKYPATHDEMO', VIRSKYPATHFRAME . 'demo-data/' );
define('VIRSKYPATHDIRURI', get_template_directory_uri() );
define('VIRSKYPATHDEMOURI', VIRSKYPATHDIRURI . '/inc/virsky-framework/demo-data/' );
define('VIRSKYPATHDIRURICSS', VIRSKYPATHDIRURI. '/css/' );
define('VIRSKYPATHDIRURIJS', VIRSKYPATHDIRURI. '/js/' );


 // Theme Support Functions
if( !function_exists('virsky_theme_support') ) {
    function virsky_theme_support(){
        // content width
        $GLOBALS['content_width'] = apply_filters( 'virsky_content_width', 751 );


        // text domain for translation.
        load_theme_textdomain( 'virtusky', VIRSKYPATHTEMPDIR . '/languages' );

        // support title tage
        add_theme_support( 'title-tag' );

        // support logo
        add_theme_support( 'custom-logo' );

        //  support post format
        add_theme_support( 'post-formats', array( 'video','audio' ) );

        // support post-thumbnails
        add_theme_support( 'post-thumbnails' );

        // support custom background
        add_theme_support( 'custom-background' );

        // support automatic feed links
        add_theme_support( 'automatic-feed-links' );

        // Add theme support for selective refresh for widgets.
        add_theme_support( 'customize-selective-refresh-widgets' );

        // support html5
        add_theme_support( 'html5', array( 'comment-list', 'comment-form', 'search-form', 'gallery', 'caption', 'style', 'script' ) );

		// woocommerce support
		add_theme_support('woocommerce');

		// woo product gallery zoom, lightbox, slider support
		add_theme_support( 'wc-product-gallery-zoom' );
		add_theme_support( 'wc-product-gallery-lightbox' );
		add_theme_support( 'wc-product-gallery-slider' );

        // register nav menu
        register_nav_menus( array(
            'primary-menu'   => esc_html__( 'Primary Menu', 'virtusky' ),
            'canvas-menu'    => esc_html__( 'Canvas Menu', 'virtusky' ),
            'footer-menu'    => esc_html__( 'Footer Menu', 'virtusky' ),
        ) );

        // editor style
        add_editor_style('css/editor-style.css');

    }
    add_action( 'after_setup_theme', 'virsky_theme_support' );
}

// enqueue scripts
add_action( 'wp_enqueue_scripts', 'virsky_enqueue_scripts' );
function virsky_enqueue_scripts(){

    // enqueue style
    wp_enqueue_style( 'virsky-font', virsky_raleway_fonts(), array(), null );

    wp_enqueue_style( 'font-awesome-all', VIRSKYPATHDIRURICSS .'font-awesome.all.min.css', array(), '5.9.0' );

    wp_enqueue_style( 'font-awesome', VIRSKYPATHDIRURICSS .'font-awesome.min.css', array(), '4.5.0' );

    wp_enqueue_style( 'typicons', VIRSKYPATHDIRURICSS .'typicons.min.css', array(), '4.5.0' );

    wp_enqueue_style( 'bootstrap', VIRSKYPATHDIRURICSS .'bootstrap.min.css', array(), '3.3.7' );

    wp_enqueue_style( 'animate', VIRSKYPATHDIRURICSS .'animate.min.css', array(), '3.5.1' );

    wp_enqueue_style( 'virtusky-owl-carousel', VIRSKYPATHDIRURICSS .'owl.carousel.css', array(), '1.3.3' );

    wp_enqueue_style( 'magnific-popup', VIRSKYPATHDIRURICSS .'magnific-popup.css', array(), '1.3.3' );

    wp_enqueue_style( 'fakeLoader', VIRSKYPATHDIRURICSS .'fakeLoader.css', array(), '1.1.0' );

    wp_enqueue_style( 'virtusky', VIRSKYPATHDIRURICSS .'virtusky.css', array(), '1.0' );

    wp_enqueue_style( 'virsky-responsive-style', VIRSKYPATHDIRURICSS .'responsive-style.css', array(), '1.0' );

    wp_enqueue_style( 'virsky-style', get_stylesheet_uri() );



    // enque scripts

    //Add Google MAPS API JavaScript .
    if( virsky_opt('virsky_map_apikey')  ){
		wp_enqueue_script( 'maps-googleapis', '//maps.googleapis.com/maps/api/js?key='.esc_attr( virsky_opt('virsky_map_apikey') ) );
    }

	// HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries
	wp_enqueue_script( 'html5', VIRSKYPATHDIRURIJS.'html5shiv.min.js', array(), '3.7.0' );
	wp_script_add_data( 'html5', 'conditional', 'lt IE 9' );

	wp_enqueue_script( 'respond', VIRSKYPATHDIRURIJS.'respond.min.js', array(), '1.4.2' );
	wp_script_add_data( 'respond', 'conditional', 'lt IE 9' );

    if( !is_page_template('whmcs-template.php') ){
		wp_enqueue_script( 'bootstrap', VIRSKYPATHDIRURIJS .'bootstrap.min.js', array('jquery'), '3.3.7', true );
	}

    wp_enqueue_script( 'jquery-counterup', VIRSKYPATHDIRURIJS .'jquery.counterup.js', array('jquery'), '1.0', true );

    wp_enqueue_script( 'jquery-sticky', VIRSKYPATHDIRURIJS .'jquery.sticky.js', array('jquery'), '1.0.4', true );

    wp_enqueue_script( 'virtusky-owl-carousel', VIRSKYPATHDIRURIJS .'owl.carousel.min.js', array('jquery'), '1.15.0', true );

    wp_enqueue_script( 'jquery-tubular', VIRSKYPATHDIRURIJS .'jquery.tubular.1.0.js', array('jquery'), '1.1', true );

    wp_enqueue_script( 'magnific-popup', VIRSKYPATHDIRURIJS .'jquery.magnific-popup.min.js', array('jquery'), '1.1', true );

    wp_enqueue_script( 'animatescroll', VIRSKYPATHDIRURIJS .'animatescroll.min.js', array('jquery'), '1.1', true );

    wp_enqueue_script( 'jquery-ui-touch-punch', VIRSKYPATHDIRURIJS .'jquery.ui.touch-punch.min.js', array('jquery', 'jquery-ui-core'), '1.15.0', true );

    wp_enqueue_script( 'waypoints', VIRSKYPATHDIRURIJS .'jquery.waypoints.min.js', array('jquery'), '6.0.0', true );

    wp_enqueue_script( 'jquery-countdown', VIRSKYPATHDIRURIJS .'jquery.countdown.min.js', array('jquery'), '2.2.0', true );

    wp_enqueue_script( 'isotope-docs', VIRSKYPATHDIRURIJS .'isotope-docs.min.js', array('jquery'), '2.2.0', true );

    wp_enqueue_script( 'virsky-main', VIRSKYPATHDIRURIJS .'main.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-slider' ), '1.0', true );

    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

}



/**
 * google fonts
 */

function virsky_raleway_fonts() {

	$font_url = '';

	if( 'off' !== _x('on', 'Google Raleway and Montserrat font: on or off', 'virtusky' ) ){

		$familyArgs = array(
			'family' => urlencode('Raleway:300,400,500,700,900|Montserrat:500,700'),
			'subset' => 'latin,latin-ext',
		);

		$font_url = add_query_arg( $familyArgs , '//fonts.googleapis.com/css' );
	}

	return $font_url;
}


require_once( VIRSKYPATHTEMPDIRINC . 'virsky-functions.php' );
require_once( VIRSKYPATHTEMPDIRINC . 'support-functions.php' );
require_once( VIRSKYPATHTEMPDIRINC . 'virsky-widgets-reg.php' );
require_once( VIRSKYPATHTEMPDIRINC . 'wp_bootstrap_pagination.php' );
require_once( VIRSKYPATHTEMPDIRINC . 'wp_bootstrap_navwalker.php' );
require_once( VIRSKYPATHTEMPDIRINC . 'virsky-breadcrumbs.php' );
require_once( VIRSKYPATHTEMPDIRINC . 'virsky-commoncss.php' );
require_once( VIRSKYPATHFRAME . 'plugins-activation/virsky-active-plugins.php' );
require_once( VIRSKYPATHFRAME  . 'virsky-options/virsky-option.php' );
require_once( VIRSKYPATHFRAME  . 'virsky-meta/virsky-config.php' );