<?php 
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}
/**
 * @Packge    : VirtuSky
 * @version   : 1.0
 * @Author    : ThemeLooks
 * @Author URI: https://www.themelooks.com/
 */
 
// Blog Post Meta 
function virsky_blog_meta(){
?>
	<div class="metadata">
		<i class="fa fa-calendar"></i> <a href="<?php echo esc_url( virsky_blog_date_permalink() ); ?>"><?php echo esc_html( get_the_date() ); ?></a>
		<span class="separator"><?php esc_html_e( '|', 'virtusky' ); ?></span>
		<i class="fa fa-user"></i> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta('ID') ) ); ?>"><?php the_author(); ?></a>
	</div>
<?php
}
// Preloader
function virsky_preloader(){
	echo '<div id="fakeLoader"><div class="fl spinner2"><div class="spinner-container container1"><div class="circle1"></div><div class="circle2"></div><div class="circle3"></div><div class="circle4"></div></div><div class="spinner-container container2"><div class="circle1"></div><div class="circle2"></div><div class="circle3"></div><div class="circle4"></div></div><div class="spinner-container container3"><div class="circle1"></div><div class="circle2"></div><div class="circle3"></div><div class="circle4"></div></div></div></div>';
}
// Post Category
function virsky_post_cats(){
	
	$cats = get_the_category();
    if( $cats ){
        echo '<p><span class="post-category-text">'.esc_html__( 'Category:', 'virtusky' ).'</span>';
        
        foreach( $cats as $cat ){
            echo '<a href="'.esc_url( get_category_link( $cat->term_id ) ).'" class="category-link">'.esc_html( $cat->name ).'</a>';
        }
        
        echo '</p>';
    }

}

// Post Tags
function virsky_post_tags(){
	
	$tags = get_the_tags();
	if( $tags ):
	?>
	<div class="tags">
		<ul>
		<?php 
			echo '<li><strong>'.esc_html__( 'Tags:', 'virtusky' ).'</strong></li>';
			foreach( $tags as $tag ){
				echo '<li><a href="'.esc_url( get_tag_link( $tag->term_id ) ).'" class="btn btn-custom">'.esc_html( $tag->name ).'</a></li>';
			}
		?>
		</ul>
	</div>
	<?php
	endif;
}

// VirtuSky comment template callback
function virsky_comment_callback( $comment, $args, $depth ) {
    
      if ( 'div' === $args['style'] ) {
        $tag       = 'div';
        $add_below = 'comment';
    } else {
        $tag       = 'li';
        $add_below = 'div-comment';
    }
    ?>
    <<?php echo esc_attr( $tag ); ?> <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ) ?> id="comment-<?php comment_ID() ?>">
    <?php if ( 'div' != $args['style'] ) : ?>
        <div id="div-comment-<?php comment_ID() ?>" class="single-comment">
    <?php endif; ?>
    <div class="comment-thumb">
        <a href="#" class="pull-left">
            <?php if ( $args['avatar_size'] != 0 ) echo get_avatar( $comment, $args['avatar_size'] ); ?>
          
        </a>
        <div class="comment-meta pull-left">
            <?php printf( __( '<span class="comment-author-name">%s</span> says:', 'virtusky' ), get_comment_author_link() ); ?>
            <?php edit_comment_link( esc_html__( '(Edit)', 'virtusky' ), '  ', '' ); ?>
            <div class="date"><?php printf( __('%1$s at %2$s', 'virtusky'), get_comment_date(),  get_comment_time() ); ?></div>
            <?php if ( $comment->comment_approved == '0' ) : ?>
             <em class="comment-awaiting-moderation"><?php esc_html_e( 'Your comment is awaiting moderation.', 'virtusky' ); ?></em>
              <br />
            <?php endif; ?>
        </div>
    </div>
    <div class="comment-content">
        <div class="comment-text">
            <?php comment_text(); ?>
        </div>  
    </div>  
    <div class="blog--post-comment-footer clearfix">
    <?php comment_reply_link(array_merge( $args, array( 'add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']) ) ); ?>
    </div>
 
    <?php if ( 'div' != $args['style'] ) : ?>
    </div>
    <?php endif; ?>
    <?php  
}
// add class comment reply link
add_filter('comment_reply_link', 'virsky_replace_reply_link_class');
function virsky_replace_reply_link_class( $class ){
    $class = str_replace("class='comment-reply-link", "class='comment-reply comment-reply-link btn btn-sm", $class);
    return $class;
}
// Back To Top 
function virsky_backtotop(){
?>
    <div id="backToTop">
        <a href="body" data-animate-scroll="true"><i class="fa fa-angle-up"></i></a>
    </div>
<?php
}

// social media
if ( ! function_exists( 'virsky_social' ) ) :
function virsky_social( $args = array() ){
global $virsky_opt;

$default = array(
    'ul_class' => '',
    'li_class' => '',
    'class'    => ''
);

$class = wp_parse_args( $args, $default );

if( $class['ul_class'] ){
   $ul_class = 'class="'.esc_attr( $class['ul_class'] ).'"';
}else{
   $ul_class = ''; 
}

if( $class['li_class'] ){
    $li_class = 'class="'.esc_attr( $class['li_class'] ).'"';
}else{
   $li_class = ''; 
}

if( $class['class'] ){
  $aclass = 'class="'.esc_attr( $class['class'] ).'"';
}else{
   $aclass = ''; 
}


ob_start();
if( virsky_opt('virsky_facebook_link') || virsky_opt('virsky_twitter_link') ):
?>

<ul <?php echo wp_kses_post( $ul_class ); ?>>
    <?php if( virsky_opt('virsky_facebook_link')  ): ?>
        <li <?php echo wp_kses_post( $li_class ); ?>><a href="<?php echo esc_url( virsky_opt('virsky_facebook_link') ); ?>" <?php echo wp_kses_post( $aclass ); ?> target="_blank"><i class="fa fa-facebook"></i></a></li>
    <?php endif; ?>
    <?php if( virsky_opt('virsky_twitter_link') ): ?>
        <li <?php echo wp_kses_post( $li_class ) ; ?>><a href="<?php echo esc_url( virsky_opt('virsky_twitter_link') ); ?>" <?php echo wp_kses_post( $aclass ); ?> target="_blank"><i class="fa fa-twitter"></i></a></li>
    <?php endif; ?>
    <?php if( virsky_opt('virsky_google_link') ):  ?>
        <li <?php echo wp_kses_post( $li_class ); ?>><a href="<?php echo esc_url( virsky_opt('virsky_google_link') ); ?>" <?php echo wp_kses_post( $aclass ); ?> target="_blank"><i class="fa fa-google-plus"></i></a></li>
    <?php endif; ?>
    <?php if( virsky_opt('virsky_youtube_link') ): ?>
        <li <?php echo wp_kses_post( $li_class ); ?>><a href="<?php echo esc_url( virsky_opt('virsky_youtube_link') );  ?>" <?php echo wp_kses_post( $aclass ); ?> target="_blank"><i class="fa fa-youtube"></i></a></li>
    <?php endif; ?>
    <?php if( virsky_opt('virsky_instagram_link') ): ?>
        <li <?php echo wp_kses_post( $li_class ); ?>><a href="<?php echo esc_url( virsky_opt('virsky_instagram_link') );  ?>" <?php echo wp_kses_post( $aclass ); ?> target="_blank"><i class="fa fa-instagram"></i></a></li>
    <?php endif; ?>
    <?php if( virsky_opt('virsky_vimeo_link') ): ?>
        <li <?php echo wp_kses_post( $li_class ); ?>><a href="<?php echo esc_url( virsky_opt('virsky_vimeo_link') );  ?>" <?php echo wp_kses_post( $aclass ); ?> target="_blank"><i class="fa fa-vimeo"></i></a></li>
    <?php endif; ?>
    <?php if( virsky_opt('virsky_linkedin_link') ): ?>
        <li <?php echo wp_kses_post( $li_class ); ?>><a href="<?php echo esc_url( virsky_opt('virsky_linkedin_link') );  ?>" <?php echo wp_kses_post( $aclass ); ?> target="_blank"><i class="fa fa-linkedin"></i></a></li>
    <?php endif; ?>
    <?php if( virsky_opt('virsky_behance_link') ): ?>
        <li <?php echo wp_kses_post( $li_class ); ?>><a href="<?php echo esc_url( virsky_opt('virsky_behance_link') );  ?>" <?php echo wp_kses_post( $aclass ); ?> target="_blank"><i class="fa fa-behance"></i></a></li>
    <?php endif; ?>
    <?php if( virsky_opt('virsky_pinterest_link') ): ?>
        <li <?php echo wp_kses_post( $li_class ); ?>><a href="<?php echo esc_url( virsky_opt('virsky_pinterest_link') );  ?>" <?php echo wp_kses_post( $aclass ); ?> target="_blank"><i class="fa fa-pinterest-p"></i></a></li>
    <?php endif; ?>
    <?php if( virsky_opt('virsky_dribbble_link') ): ?>
        <li <?php echo wp_kses_post( $li_class ); ?>><a href="<?php echo esc_url( virsky_opt('virsky_dribbble_link') );  ?>" <?php echo wp_kses_post( $aclass ); ?> target="_blank"><i class="fa fa-dribbble"></i></a></li>
    <?php endif; ?>
</ul>
<?php
endif;
$html = ob_get_clean();
return $html;
}
endif;


?>