<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}

/**
 * @Packge    : VirtuSky
 * @version   : 1.0
 * @Author    : ThemeLooks
 * @Author URI: https://www.themelooks.com/
 */
 

// enqueue css
function virsky_common_custom_css(){
    
    wp_enqueue_style( 'color-schemes', get_template_directory_uri().'/css/color-schemes.css' );
		$customcss = "";
		// main color
        $mainColor     = virsky_opt( 'virsky_unlimited-color' );
        $secondcolor   = virsky_opt( 'virsky_unlimited-secondcolor' );
		// page header media settings
		if( virsky_meta( 'slide_header_settings' ) != 'pageset' ){
			// Global Settings
			$pagehederbgcolor 	= '';
			$pagehedertextcolor = '';
			$pagehederovcolor = virsky_opt( 'virsky_allHeader_ovbg' );
			$pagehederovopct  = virsky_opt( 'virsky_allHeader_ovopacity' );
		}else{
			// Page Settings
			$pagehederbgcolor 	= virsky_meta( 'header-bgcolor' );
			$pagehedertextcolor = virsky_meta( 'header-textcolor' );
			$pagehederovcolor 	= virsky_meta( 'header_overlaycolor' );
			$pagehederovopct  	= virsky_meta( 'header_overlayopacity' );
		}
		$footeroverlay = virsky_opt( 'virsky_footer_widget_ovcolor' );
		$footerovopct  = virsky_opt( 'virsky_footer_widget_ovopct' );
		
		if( !empty( $mainColor ) ) {
			$customcss .= "
			#promo a.btn,
			#primaryMenu .nav > li > a:hover,
			#primaryMenu .nav > li > a:focus,
			.off-canvas-menu .nav > li.active > a,
			.off-canvas-menu .nav > li.active > a:hover,
			.off-canvas-menu .nav > li.active > a:focus,
			.service-item-content h2,
			.service-item-content ul li .fa,
			.counter-icon span.typcn,
			.counter-icon i.fa,
			.features-tab--content ul li .fa,
			.features-tab--content a:hover,
			.section-title span,
			#copyright p a,
			a.login-button.btn.btn-default,
			.accordion .panel-heading a.collapsed h4 i.fa-minus,
			.about-desc-content a:hover,
			#loginForm p.help-block a:hover,
			.widget.recent-items a.footer-thumb-link:hover,
			.widget.categories li:hover a,
			.widget.tags li:hover a,
			.widget.archives li:hover a,
			.blog-item-content a:hover,
			.comment-text a,
			.blog-item:hover .blog-item-content h2 a,
			.blog-item.full-post:hover a.btn-custom:hover,
			.blog-item.full-post .post-author-metadata a:hover,
			.comment-thumb a,
			.ca-icon i.fa,
			.ca-icon .typcn,
			.ca-holder a.btn:hover,
			.ca-holder a.btn:focus,
			.navbar-header h1 a,
			a.woocommerce-loop-product__link:hover > h2,
			.woocommerce a.added_to_cart:hover,
			.product_meta a:hover,
			.woocommerce-message:before,
			.woocommerce-info:before,
			.woocommerce-info a,
			.woocommerce table.shop_table .product-name a,
			.star-rating,
			.widget li a:hover,
			.widget.tags li a:hover,
			.widget.archives li a:hover,
			.features--tab-style-2 .features-tab--nav ul li a:hover,
			.features--tab-style-2 .features-tab--nav ul li.active a,
			#clsvWhmcsPage #main-body a:not(.btn):not(.label):not(.list-group-item),
			.canvas-primary-menu .secondary-menu-links > li > a:hover,
			.canvas-primary-menu .secondary-menu-links > li.active > a,
			.blog-item.full-post .category-link:hover,
			a.woocommerce-review-link:hover,
			.woocommerce-product-details__short-description a,
			.gallery-caption,
			#secondaryMenu a.navbar-brand span {
				color: {$mainColor};
			}
			.pagination > li > a:hover,
			.pagination > li > a:focus,
			.pagination > li.active > a,
			.pagination > li.active > a:hover,
			.pagination > li.active > a:hover,
			.pagination > li > span:hover,
			.pagination > li > span:focus,
			.pagination > li.active > span,
			.pagination > li.active > span:hover,
			.pagination > li.active > span:hover,
			#promo,
			.off-canvas-menu,
			.off-canvas-menu .nav li .dropdown-menu li > a:hover,
			.off-canvas-menu .nav li .dropdown-menu li > a:focus,
			.off-canvas-menu .nav li .dropdown-menu li.active > a,
			.bg--overlay:before,
			.banner--slider-nav ul li:hover p,
			.banner--slider-nav ul li.active p,
			#domainSearchForm button[type='submit'],
			.section-title h2:before,
			a.btn-custom:hover,
			a.btn-custom:focus,
			.pt-head,
			.pricing--slider .owl-page.active,
			.features-tab--nav ul li.active a,
			.testimonial-slider .owl-page.active,
			.contact-info--item a,
			.footer-widget h4:before,
			.footer--subscribe-widget .btn,
			.footer--social-widget ul li a:hover,
			.accordion .panel-heading a,
			#vpsSlider .ui-slider-range,
			#vpsSlider .ui-slider-handle em,
			#vpsSlider .ui-slider-handle:after,
			#dedicatedPricing table thead,
			#domainPricing table thead,
			.team-social-links ul li a:hover,
			.timeline-footer,
			.gallery--filter-menu ul li.active a,
			.faq-categories ul li a:hover,
			.faq-categories ul li.active a,
			#loginForm .submit-button,
			.widget.search .input-group-addon:hover,
			.widget-title:before,
			.post-social-links li a:hover,
			a.comment-reply,
			.post-comment-form-group .form-control.submit-btn,
			.contact-address h2:before,
			.contact-social-links li a:hover,
			#contactForm .submit-button,
			.ca-holder a.btn,
			#backToTop a,
			.blog-item.sticky:before,
			.price_slider .ui-slider-range,
			.price_slider .ui-slider-handle,
			.feature--item.feature-hover:hover,
			.counter-holder.counter-bg:hover,
			#clsvWhmcsPage nav.navbar-main,
			#clsvWhmcsPage #home-banner .btn.search,
			#clsvWhmcsPage div.home-shortcuts,
			#clsvWhmcsPage .top-nav .primary-action .btn {
				background-color: {$mainColor};
			}
			.woocommerce #respond input#submit,
			.woocommerce a.button,
			.woocommerce a.button.alt,
			.woocommerce button.button,
			.woocommerce button.button.alt,
			.woocommerce input.button,
			.woocommerce input.button:disabled:hover,
			.woocommerce input.button:disabled[disabled]:hover,
			.woocommerce input.button.alt:hover,
			.woocommerce span.onsale,
			.woocommerce .woocommerce-pagination > .page-numbers > li > span:hover,
			.woocommerce .woocommerce-pagination > .page-numbers > li > a:hover,
			.woocommerce .woocommerce-pagination > .page-numbers > li > span.current,
			.woocommerce-product-search input[type='submit'],
			.woocommerce-MyAccount-navigation > ul > li:hover > a,
			.woocommerce-MyAccount-navigation > ul > li.is-active > a {
				background-color: {$mainColor};
			}
			#fakeLoader {
				background-color: {$mainColor} !important;
			}
			.pagination > li > a:hover,
			.pagination > li > a:focus,
			.pagination > li.active > a,
			.pagination > li.active > a:hover,
			.pagination > li.active > a:hover,
			.pagination > li > span:hover,
			.pagination > li > span:focus,
			.pagination > li.active > span,
			.pagination > li.active > span:hover,
			.pagination > li.active > span:hover,
			.secondary-menu-links li a:hover,
			.secondary-menu-links li a:focus,
			.secondary-menu-links .open > a,
			.secondary-menu-links .open > a:hover,
			.secondary-menu-links .open > a:focus,
			.secondary-menu-links li.active > a,
			.secondary-menu-links li.active > a:hover,
			.secondary-menu-links li.current-menu-ancestor > a,
			.secondary-menu-links li.current-menu-ancestor > a:hover,
			.footer--social-widget ul li a:hover,
			.team-social-links ul li a:hover,
			.post-social-links li a:hover,
			.post-comment-form-group .form-control.submit-btn,
			.contact-social-links li a:hover,
			.blog-item.sticky,
			select.orderby:focus,
			.woocommerce .woocommerce-pagination > .page-numbers > li > span:hover,
			.woocommerce .woocommerce-pagination > .page-numbers > li > a:hover,
			.woocommerce .woocommerce-pagination > .page-numbers > li > span.current,
			.woocommerce-Reviews input:hover,
			.woocommerce-Reviews textarea:hover,
			.woocommerce-message,
			.woocommerce-info,
			.woocommerce form .form-row input.input-text:focus,
			.woocommerce form .form-row textarea:focus,
			.woocommerce-product-search .search-field:focus,
			.feature--item.feature-border:hover,
			.counter-holder.counter--border:hover {
				border-color: {$mainColor};
			}
			.features-tab--nav ul li.active:before,
			#vpsSlider .ui-slider-handle em:after {
				border-top-color: {$mainColor};
			}
			.banner--slider-nav ul li:hover:before,
			.banner--slider-nav ul li.active:before {
				border-bottom-color: {$mainColor};
			}
			.faq-categories ul li a:before {
				border-left-color: {$mainColor};
			}
			";
		}

		if( !empty($pagehederbgcolor) ) {
			$customcss .="
			#pageTitle {
				background-color: {$pagehederbgcolor};
			}";	
		}

		if( !empty($pagehedertextcolor) ) {
			$customcss .="
			#pageTitle .section-title h2,
			#pageTitle .breadcrumb li.active,
			#pageTitle .breadcrumb li:before,
			#pageTitle .breadcrumb span {
				color: {$pagehedertextcolor};
			}";	
		}

		if( !empty($pagehederovcolor) ) {
			$customcss .="
			#pageTitle.bg--overlay:before {
				background-color: {$pagehederovcolor};
			}";	
		}

		if( !empty($pagehederovopct) ) {
			$customcss .="
			#pageTitle.bg--overlay:before {
				opacity: {$pagehederovopct};
			}";	
		}

		if( !empty($footeroverlay) ) {
			$customcss .="
			#footer.bg--overlay:before {
				background-color: {$footeroverlay};
			}";	
		}

		if( !empty($footerovopct) ) {
			$customcss .="
			#footer.bg--overlay:before {
				opacity: {$footerovopct};
			}";	
		}
       
    wp_add_inline_style( 'color-schemes', $customcss );
    
}
add_action( 'wp_enqueue_scripts', 'virsky_common_custom_css' );