<?php 
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}
/**
 * @Packge    : VirtuSky
 * @version   : 1.0
 * @Author    : ThemeLooks
 * @Author URI: https://www.themelooks.com/
 */

 // theme option callback
function virsky_opt( $id = null, $url = null ){
    global $virsky_opt;
    
    if( $id && $url ){
        
        if( isset( $virsky_opt[$id][$url] ) && $virsky_opt[$id][$url] ){
            return $virsky_opt[$id][$url];
        }
        
    }else{
        
        if( isset( $virsky_opt[$id] )  && $virsky_opt[$id] ){
            return $virsky_opt[$id];
        } 
    }
}

// custom meta id callback
function virsky_meta( $id = '' ){
    
    $value = get_post_meta( get_the_ID(), '_virsky_'.$id, true );
    
    return $value;
}
// Blog Date Permalink
function virsky_blog_date_permalink(){
	
	$year  = get_the_time('Y'); 
    $month_link = get_the_time('m');
    $day   = get_the_time('d');

    $link = get_day_link( $year, $month_link, $day);
    
    return $link; 
}
// Blog Excerpt Length
if ( ! function_exists( 'virsky_excerpt_length' ) ) {
	function virsky_excerpt_length( $limit = 30 ) {

		$excerpt = explode( ' ', get_the_excerpt() );
		
		// $limit null check
		if( !null == $limit ){
			$limit = $limit;
		}else{
			$limit = 30;
		}
		
		
		if ( count( $excerpt ) >= $limit ) {
			array_pop( $excerpt );
			$exc_slice = array_slice( $excerpt, 0, $limit );
			$excerpt = implode( " ", $exc_slice ).' ...';
		} else {
			$exc_slice = array_slice( $excerpt, 0, $limit );
			$excerpt = implode( " ", $exc_slice );
		}
		
		$excerpt = '<p>'.preg_replace('`\[[^\]]*\]`','',$excerpt).'</p>';
		return $excerpt;

	}
}
//audio format iframe match 
function virsky_iframe_match(){   
    $audio_content = virsky_embedded_media( array('audio', 'iframe') );
    $iframe_match = preg_match("/\iframe\b/i",$audio_content, $match);
    return $iframe_match;
}

//Post embedded media
function virsky_embedded_media( $type = array() ){
    
    $content = do_shortcode( apply_filters( 'the_content', get_the_content() ) );
    $embed   = get_media_embedded_in_content( $content, $type );
        
    if( in_array( 'audio' , $type) ){
    
        if( count( $embed ) > 0 ){
            $output = str_replace( '?visual=true', '?visual=false', $embed[0] );
        }else{
           $output = '';
        }
        
    }else{
        
        if( count( $embed ) > 0 ){

            $output = $embed[0];
        }else{
           $output = ''; 
        }
        
    }
    
    return $output;
   
}
// WP post link pages
function virsky_link_pages(){
    
    wp_link_pages( array(
    'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'virtusky' ) . '</span>',
    'after'       => '</div>',
    'link_before' => '<span>',
    'link_after'  => '</span>',
    'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'virtusky' ) . ' </span>%',
    'separator'   => '<span class="screen-reader-text">, </span>',
    ) );
}
// canvas menu theme logo
function virsky_canvas_menu_logo() {
    // escaping allow html
    $allowhtml = array(
        'a'    => array( 
            'href' => array()
        ),
        'span' => array(),
        'i'    => array( 
            'class' => array() 
        )
    );

    // site logo
    if( !virsky_opt('virsky_off_canvas_textlogo') && virsky_opt('virsky_off_canvas_logo', 'url' )  ){
        return '<div class="primary--logo"><a href="'.esc_url( home_url('/') ).'"><img src="'.esc_url( virsky_opt('virsky_off_canvas_logo', 'url' ) ).'" class="img-responsive center-block" alt="'.esc_attr__( 'logo', 'virtusky' ).'" /></a></div>';
         
    }elseif( virsky_opt('virsky_off_canvas_textlogo') ){
        return '<div class="primary--logo"><h1><a href="'.esc_url( home_url('/') ).'">'.wp_kses( virsky_opt('virsky_off_canvas_textlogo'), $allowhtml ).'</a></h1></div>';   
    }else{
        return '<div class="primary--logo"><h1><a href="'.esc_url( site_url('/') ).'">'.esc_html( get_bloginfo('name') ).'</a></h1></div>';
    }
}
// theme logo
function virsky_theme_logo() {
    // escaping allow html
    $allowhtml = array(
        'a'    => array( 
            'href' => array()
        ),
        'span' => array(),
        'i'    => array( 
            'class' => array() 
        )
    );

    // site logo
    if( !virsky_opt('virsky_site_title') && virsky_opt('virsky_site_logo', 'url' )  ){
        return '<a href="'.esc_url( home_url('/') ).'" class="navbar-brand"><img src="'.esc_url( virsky_opt('virsky_site_logo', 'url' ) ).'" class="img-responsive" alt="'.esc_attr__( 'logo', 'virtusky' ).'" /></a>';
         
    }elseif( virsky_opt('virsky_site_title') ){
        return '<h1><a class="navbar-brand text-logo" href="'.esc_url( home_url('/') ).'">'.wp_kses( virsky_opt('virsky_site_title'), $allowhtml ).'</a></h1>';   
    }else{
        return '<h1><a class="navbar-brand text-logo" href="'.esc_url( site_url('/') ).'">'.esc_html( get_bloginfo('name') ).'</a></h1>';
    }
}
// Blog pull right class callback
function virsky_pull_right( $id = '', $condation = '' ){
    
    if( virsky_opt($id) == $condation ){
        return 'pull-right';
    }else{
        return;
    }
    
}
// wp kses allow html
function virsky_wp_kses_allow( $data = '' ){
    
    $allow = array(
        'a' => array(
            'href' => array()
        ),
        'span' => array(),
        'br'   => array(),
        'strong'   => array(),
    
    
    );
    
    return wp_kses( $data, $allow );
    
}
// wp kses allow html class, id, data-bg-img, data-parallax-bg-img, data-bg-src
function virsky_wp_kses_allow_attr( $data = '' ){
    
    $allow = array(
        'class' => array(),
        'id' 	=> array(),
        'data-bg-src' 	=> array(),
        'data-bg-img' 	=> array(),
        'data-parallax-bg-img' 	=> array(),
    
    );
    
    return wp_kses( $data, $allow );
    
}
// image alt tag
function virsky_image_alt( $url = '' ){

    if( $url != '' ){
        // attachment id by url 
        $attachmentid = attachment_url_to_postid( esc_url( $url ) );
       // attachment alt tag 
        $image_alt = get_post_meta( esc_html( $attachmentid ) , '_wp_attachment_image_alt', true );
        
        if( $image_alt ){
            return $image_alt ;
        }else{
            $filename = pathinfo( esc_url( $url ) );
    
            $alt = str_replace( '-', ' ', $filename['filename'] );
            
            return $alt;
        }
   
    }else{
       return; 
    }

}

// Flat Content wysiwyg output with meta key and post id
function virsky_get_textareahtml_output( $content ) {
    
	global $wp_embed;

	$content = $wp_embed->autoembed( $content );
	$content = $wp_embed->run_shortcode( $content );
	$content = wpautop( $content );
	$content = do_shortcode( $content );

	return $content;
}

// 
// Woocommerce Check
if ( ! function_exists( 'is_virsky_woocommerce_activated' ) ) {
	function is_virsky_woocommerce_activated() {
		if ( class_exists( 'woocommerce' ) ) { return true; } else { return false; }
	}
}
/**
 * woo_hide_page_title
 *
 * Removes the "shop" title on the main shop page
*/

add_filter( 'woocommerce_show_page_title' , 'virsky_hide_woo_page_title' );
function virsky_hide_woo_page_title() {
	
	if( virsky_opt('virsky_woo_shoptitle_switch') == false ){
		return false;
	}else{
		return true;
	}
	
}
// woo related products posts per page number
add_filter( 'woocommerce_output_related_products_args', 'virsky_related_products_args' );
  function virsky_related_products_args( $args ) {
	$args['posts_per_page'] = esc_html( virsky_opt('virsky_woo_relproduct_num') ); // 4 related products
	return $args;
}
// Shop Page Product per page 

add_filter( 'loop_shop_per_page', 'virsky_loop_shop_per_page', 20 );
function virsky_loop_shop_per_page( $cols ) {

  // Return the number of products you wanna show per page.
  
	if( virsky_opt( 'virsky_woo_product_perpage' ) ){
		$num = virsky_opt( 'virsky_woo_product_perpage' );
	}else{
		$num = 10;
	}
  
  
  
  $cols = esc_html( $num );
  return $cols;
}

// VC Animation 
if( class_exists( 'WPBakeryShortCode' ) ){
	class Clsvwpbshortcode extends WPBakeryShortCode{
		
		 function __construct() {}
		
	}

}
function virsky_animation_class( $animation ){
	
	if( class_exists('Clsvwpbshortcode') ){
		$obj = new Clsvwpbshortcode();
		return $animation_classes = $obj->getCSSAnimation( $animation );
	}else{
		return;
	}
	

}

// Slider list ( Shortcode ) select Options
function virsky_get_slider_shortcode_options( $field ) {
    $args = $field->args( 'get_post_type' );
	
	
    $args = is_array( $args ) ? $args : array();

    $args = wp_parse_args( $args, array( 'post_type' => 'post' ) );

    $postType = $args['post_type'];

	//

	$args = array(
		'post_type'        => $postType,
		'post_status'      => 'publish',
	);

	$posts_array = get_posts( $args );	

	// Initate an empty array
	$term_options = array();
		
		foreach( $posts_array as $post ){
			
			$term_options[ $post->post_name ] = $post->post_title;
			
		}
	
    return $term_options;

}

//Comment Textarea Change Position
function virsky_move_comment_field_to_bottom( $fields ) {
    $comment_field = $fields['comment'];
    $cookies_field = $fields['cookies'];
    unset( $fields['comment'] );
    unset( $fields['cookies'] );
    $fields['comment'] = $comment_field;
    $fields['cookies'] = $cookies_field;
    return $fields;
}
add_filter( 'comment_form_fields', 'virsky_move_comment_field_to_bottom' );