/*

[Main Script]

Project: VirtuSky - Responsive HTML5 Technology, Web Hosting and WHMCS WordPress Theme
Author : themelooks.com
Version : 1.4

*/

;(function ($) {
    "use strict";
    
    /* ------------------------------------------------------------------------- *
     * COMMON VARIABLES
     * ------------------------------------------------------------------------- */
    var $wn = $(window),
        $body = $('body');

    $(function () {
        /* ------------------------------------------------------------------------- *
         * BACKGROUND IMAGE
         * ------------------------------------------------------------------------- */
        var $bgImg = $('[data-bg-img]');
        
        $bgImg.each(function () {
            var $t = $(this);

            $t.css('background-image', 'url(' + $t.data('bg-img') + ')').addClass('bg--img').removeAttr('data-bg-img');
        });
        
        /* ------------------------------------------------------------------------- *
         * BACKGROUND VIDEO
         * ------------------------------------------------------------------------- */
        var $bgVideo = $('[data-bg-video]');
        
        if ( $bgVideo.length ) {
            $bgVideo.tubular({videoId: $bgVideo.data('bg-video'), wrapperZIndex: 0});
        }
        
        /* ------------------------------------------------------------------------- *
         * WP ADMIN BAR
         * ------------------------------------------------------------------------- */
		var $wpAdminBar = $('#wpadminbar');
        
        /* ------------------------------------------------------------------------- *
         * STICKYJS
         * ------------------------------------------------------------------------- */
        var $sticky = $('[data-sticky="true"]');
		
		$sticky.each(function () {
			var $t = $(this),
				$grandPrev = $t.prev().prev('.sticky-wrapper'),
				offset = 0;
			
			if ( $wpAdminBar.length ) {
				offset = $wpAdminBar.outerHeight();
			}
			
			if ( $grandPrev.length ) {
				offset = parseInt( $grandPrev.css('height'), 10) + $grandPrev.offset().top;
			}
			
			$t.sticky({
				topSpacing: offset,
				zIndex: '999'
			});
		});
        
        /* -------------------------------------------------------------------------*
         * MENU
         * -------------------------------------------------------------------------*/
        var $menu = $('#menu'),
            $offCanvasMenu = $('.off-canvas-menu'),
            $offCanvasMenuLinks = $('.off-canvas-menu .nav > li > a');
            $menu.on('click', '.menu-toggle-btn, .off-canvas-menu--close-btn, .off-canvas-menu-overlay', function (e) {
                e.preventDefault();
                
                $offCanvasMenu.toggleClass('menu-open');
            });
        
        // $offCanvasMenuLinks.on('click', function () {
        //     var $parent = $(this).parent($offCanvasMenu).find('ul li');
            
        //     if ( $parent.hasClass('opened') ) {
        //         $parent.toggleClass('opened open');
        //     } else {
        //         $parent.siblings('li.opened').toggleClass('opened open');
        //     }
        // });

         $offCanvasMenu.find($offCanvasMenuLinks).on('click', function(){
            $(this).toggleClass('submenu-opened');
            if ($(this).siblings('ul').hasClass('open')) {
                $(this).siblings('ul').removeClass('open').slideUp('fast');
            } else {
                $(this).siblings('ul').addClass('open').slideDown('fast');
            }
        });
        /* -------------------------------------------------------------------------*
         * ALERT
         * -------------------------------------------------------------------------*/
		$body.on('click', '[data-dismiss="alert"]', function () {
			var $t = $(this),
				$parent = $t.parent(),
				$grandparent = $parent.parent('.sticky-wrapper');
			
			$parent.slideUp();
			
			$grandparent.slideUp(function () {
				var $scMenu = $menu.find('#secondaryMenu'),
					offset = $wpAdminBar.length ? $wpAdminBar.outerHeight() : 0;
		
				if ( typeof $scMenu.data('sticky') !== 'undefined' ) {
					$scMenu.sticky({ topSpacing: offset, zIndex: '999' });
				}
				
				if ( $wn.scrollTop() > 0 ) {
					$scMenu.sticky('update');
				}
			});
			
			return false;
		});
		
        /* -------------------------------------------------------------------------*
         * OWL CAROUSEL
         * -------------------------------------------------------------------------*/
        var testimonialSlider = $('.testimonial-slider');
            
        if ( testimonialSlider.length ) {
            testimonialSlider.owlCarousel({
                slideSpeed: 700,
                paginationSpeed: 700,
                singleItem: true,
                autoPlay: true,
                addClassActive: true
            });
        }
        
        var $pricingSlider = $('.pricing--slider');

        if ( $pricingSlider.length ) {
            $pricingSlider.owlCarousel({
                slideSpeed: 800,
                paginationSpeed: 800,
                items: 3,
                itemsDesktop: [1199, 3],
                itemsDesktopSmall: [991, 2],
                itemsTablet: [767, 1]
            });
        }

		
		
        /* ------------------------------------------------------------------------- *
         * VPS PRICING AREA
         * ------------------------------------------------------------------------- */
		var $vpsPricing = $('#vpsPricing'),
			$vpsSlider = $('#vpsSlider');
		
        if ( $vpsSlider.length ) {
            var $vpsSliderHandle,
				vpsSliderDefault = clsvvps.vpsactive.length ? clsvvps.vpsactive.charAt(0) : 0,
				$featureItemValue = $vpsPricing.find('.vps-pricing--value'),
                $vpsTotalPriceChild = $vpsPricing.find('[data-put-value="price"]'),
                $vpsTotalPriceDur = $vpsPricing.find('[data-put-value="dur"]'),
                $vpsOrderLink = $vpsPricing.find('a.order-link'),
                $vpsdeatilsLink = $vpsPricing.find('a.deatils-link'),
				vpsTotalPriceCur = $vpsTotalPriceChild.text(),
				$vpsItems = $vpsPricing.find('.vps-pricing--items'),
				$vpsTotalPriceWrapper = $vpsPricing.find('.vps-pricing--tag');

            var changingVpsPlans = function ( res, indx ) {
				$vpsSliderHandle.html( '<em>' + res[ indx ][0] + '</em>' );
				$featureItemValue.empty();
				
                for ( var i = 0; i < $featureItemValue.length; i++ ) {
                    $featureItemValue.eq(i).text( res[ indx ][1][i] );
                }
				
                $vpsTotalPriceChild.text( vpsTotalPriceCur + res[ indx ][2] );
                $vpsOrderLink.attr( 'href', res[ indx ][3] );
                $vpsdeatilsLink.attr( 'href', res[ indx ][4] );
                $vpsTotalPriceDur.text( res[ indx ][5] );
            };
			
            var vpsSliderInit = function (res) {
                $vpsSlider.slider({
                    animate: "fast",
                    range: "min",
                    min: 0,
                    max: (res.length - 1),
                    value: vpsSliderDefault,
                    step: 1,
                    create: function(e) {
						$vpsSliderHandle = $vpsSlider.find('.ui-slider-handle');
                        changingVpsPlans( res, vpsSliderDefault );
                    
						$vpsTotalPriceWrapper.css( 'height', $vpsItems.height() );
						
						$wn.on('resize', function () {
							$vpsTotalPriceWrapper.css( 'height', $vpsItems.height() );
						});
                    },
                    slide: function(e, ui) {
                        changingVpsPlans( res, ui.value );
                    }
                });
            };
						
			if( clsvvps.vpscontent.length ){
				vpsSliderInit( clsvvps.vpscontent );
			}
			
			
			
        }
		
        /* -------------------------------------------------------------------------*
         * COUNTER UP
         * -------------------------------------------------------------------------*/
		var $counterUp = $('[data-counter-up="true"]');
		
		if ( $counterUp.length ) {
			$counterUp.counterUp({
				delay: 10,
				time: 400
			});
		}
		
        /* -------------------------------------------------------------------------*
         * COUNTDOWN
         * -------------------------------------------------------------------------*/
        var $countDown = $('[data-counter-down]');
            
        $countDown.each(function () {
            var $t = $(this);
            
            $t.countdown($t.data('counter-down'), function(e) {
                $(this).html( e.strftime('%D Days %H:%M:%S') );
            });
        });
        
        /* -------------------------------------------------------------------------*
         * ANIMATESCROLL
         * -------------------------------------------------------------------------*/
        var $animateScrollLink = $('[data-animate-scroll="true"]'),
            animateScrolling = function (e) {
                e.preventDefault();
                
                var targetEl = $(this).attr('href'),
                    offset = typeof $(this).data('offset') === 'undefined' ? 0 : $(this).data('offset');
                
                $(targetEl).animatescroll({
                    padding: 65,
                    easing: 'easeInOutExpo',
                    scrollSpeed: 2000
                });
            };
        
        $animateScrollLink.on('click', animateScrolling);
        
        /* -------------------------------------------------------------------------*
         * MAP
         * -------------------------------------------------------------------------*/
		var $map = $('[data-map]');

        $.fn.initMap = function () {
            var $el = this,
				mapPositions = $el.data('map'),
                map;
			
			if ( typeof google !== 'undefined' ) {
				map = new google.maps.Map($el[0], {
					center: {lat: parseFloat( mapPositions[0][0], 10 ), lng: parseFloat( mapPositions[0][1], 10 )},
					zoom: $el.data('map-zoom'),
					scrollwheel: false,
					disableDefaultUI: true,
					zoomControl: true
				});
				
				if ( typeof mapPositions !== 'undefined' ) {
					for ( var i = 0; i < mapPositions.length; i++ ) {
											
						new google.maps.Marker({
							position: {lat: parseFloat( mapPositions[i][0], 10 ), lng: parseFloat( mapPositions[i][1], 10 )},
							map: map,
							animation: google.maps.Animation.DROP,
							draggable: true
						});
					}
				}
			}
        };

        $map.each(function () {
            $(this).initMap();
        });
        
        /* -------------------------------------------------------------------------*
         * PRICING TABLE AREA
         * -------------------------------------------------------------------------*/
        var $hasPricingHead = $('[data-has-pricing-head="no"]'),
            adjustNoPricingHead = function () {
                $hasPricingHead.children('.pricing--content').css('margin-top', $hasPricingHead.siblings().find('.pt-head').outerHeight() );
            };

        if ( $hasPricingHead.length ) {
            adjustNoPricingHead();
            $wn.on('resize', adjustNoPricingHead);
        }
        
        /* -------------------------------------------------------------------------*
         * DOMAIN PRICING AREA
         * -------------------------------------------------------------------------*/
        var $domainPricing = $('#domainPricing'),
            $dedicatedPricing = $('#dedicatedPricing');
        
        $domainPricing.add($dedicatedPricing).find('table td').each(function () {
            var $t = $(this);
            $t.prepend('<span class="labelText">'+ $t.data('label') + '</span>');
        });
    });

    /* -------------------------------------------------------------------------*
     * BODY SCROLLED
     * -------------------------------------------------------------------------*/
    var isBodyScrolling = function () {
        if ( $wn.scrollTop() > 1 ) {
            $body.addClass('scrolling');
        } else {
            $body.removeClass('scrolling');
        }
    };

    /* -------------------------------------------------------------------------*
     * BANNER SLIDER
     * -------------------------------------------------------------------------*/
    var bannerSliderInit = function () {
        var bannerSlider = $('.banner-slider'),
            bannerSliderNav = $('.banner--slider-nav'),
			speed = bannerSlider.data( 'speed' ),
            bannerSliderPagination = typeof bannerSlider.data('pagination') === 'undefined' ? false : bannerSlider.data('pagination');
        
        if ( bannerSlider.length ) {
            bannerSlider.owlCarousel({
                slideSpeed: 800,
                paginationSpeed: 800,
                singleItem: true,
                autoPlay: speed,
                addClassActive : true,
                pagination: bannerSliderPagination,
                nav: false,
                afterInit: function () {
                    var bannerHeight = bannerSliderNav.length ? $(this.$owlWrapper).outerHeight() + bannerSliderNav.outerHeight() : $(this.$owlWrapper).outerHeight();

                    $(this.$userItems).css( 'height', parseInt( bannerHeight ) );
                    $(this.$userItems).css( 'padding-bottom', bannerSliderNav.outerHeight() + 80 );
                    
                    bannerSliderNav.on('click', 'li', function () {
                        bannerSlider.trigger( 'owl.goTo', $(this).index() );
                    });
					
					if ( window.vcParallaxSkroll ) {
						window.vcParallaxSkroll.refresh();
					}
                },
                afterMove: function () {
                    bannerSliderNav.find('li').eq( this.currentItem ).addClass('active').siblings('li').removeClass('active');
                }
            });
        }
    };
        
	/* -------------------------------------------------------------------------*
	 * GALLERY AREA
	 * -------------------------------------------------------------------------*/
	var $galleryItems = $('.gallery--items'),
		galleryItem = '.gallery--item',
		$galleryFilter = $('.gallery--filter-menu'),
		galleryFilter = function () {
			if ( $galleryItems.length ) {
				$galleryItems.isotope({
					animationEngine: 'best-available',
					itemSelector: galleryItem
				});
				
				$galleryFilter.on('click', 'a', function () {
					var $t = $(this),
						f = $t.attr('href'),
						s = (f !== '*') ? '[data-cat~="'+ f +'"]' : f;
					
					$galleryItems.isotope({
						filter: s
					});
					
					$t.parent('li').addClass('active').siblings().removeClass('active');
					
					return false;
				});
			
				$galleryItems.magnificPopup({
					delegate: '.gallery--img a.zoom',
					type:'image',
					gallery: {
						enabled: true,
						navigateByImgClick: false
					}
				});
			}
		};

    /* ------------------------------------------------------------------------- *
     * FAKELOADER
     * ------------------------------------------------------------------------- */
    var $fakeLoader = $('#fakeLoader'),
		fakeLoaderFadeout = function () {
			if ( $fakeLoader.length ) {
				$fakeLoader.fadeOut('slow');
			}
		};

    /* -------------------------------------------------------------------------*
     * FUNCTION CALLS
     * -------------------------------------------------------------------------*/
    $wn
        .on('load scroll', isBodyScrolling)
        .on('load', bannerSliderInit)
        .on('load', galleryFilter)
        .on('load', fakeLoaderFadeout);
	
})(jQuery);
