<?php 
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}
/**
 * @Packge    : VirtuSky
 * @version   : 1.0
 * @Author    : ThemeLooks
 * @Author URI: https://www.themelooks.com/
 */
 
 $stickyAttr = 'data-sticky="true"';
 
 
	// Sticky promo bar and Menu bar 
	if( virsky_opt('virsky_header_sticky') == 'stickypromomenubar' ){
		$stickypromomenubar = $stickyAttr;
	}else{
		$stickypromomenubar = '';
	}
 
	// Sticky promo bar, top bar, Menu bar  
	if( virsky_opt('virsky_header_sticky') == 'stickypromotopmenubar' ){
		$stickypromotopmenubar = $stickyAttr;
	}else{
		$stickypromotopmenubar = '';
	}
 
 
 
?>
<div id="menu" <?php echo wp_kses_post( $stickypromotopmenubar ); ?>>
	
	<?php 
	// sticky promo bar and primary ( top bar )
	if( virsky_opt('virsky_header_sticky') == 'stickypromotopbar' ){
		$stickyPpel = $stickyAttr; 
		$divstart =  '<div '.wp_kses_post( $stickyPpel ).'>';
		$divend =  '</div>';
	}else{
		$divstart =  '';
		$divend   =  '';
	}
	
	echo wp_kses_post( $divstart ); // Start div promo and primary sticky 
	
	if( virsky_opt('virsky_header_promo') ):
	
		// sticky promo bar
		if( virsky_opt('virsky_header_sticky') == 'stickypromobar' ){
			$stickyPromel = $stickyAttr; 
		}else{
			$stickyPromel = '';
		}
		
	?>
	<div id="promo" class="alert" <?php echo wp_kses_post( $stickyPromel.$stickypromomenubar ); ?>>
		<button type="button" class="close" data-dismiss="alert">&times;</button>
	
		<div class="container">
			<p><?php echo ( virsky_opt( 'virsky_header_promo_text' ) ) ? virsky_wp_kses_allow( virsky_opt( 'virsky_header_promo_text' ) ) : '' ?> 
			<?php 
			if( virsky_opt( 'virsky_header_promo_date' ) ):
			?>
			<strong data-counter-down="<?php echo esc_attr( virsky_opt( 'virsky_header_promo_date' ) ); ?>"><?php esc_html( '00:00:00' ); ?></strong>
			<?php 
			endif;
			?>
			</p>
			<?php 
			if( virsky_opt('virsky_header_promo_btn_url') && virsky_opt('virsky_header_promo_btn_text') ){
				echo '<a href="'.esc_url( virsky_opt('virsky_header_promo_btn_url') ).'" class="btn btn-custom">'.esc_html( virsky_opt('virsky_header_promo_btn_text') ).'</a>';
			}
			?>
		</div>
	</div>
	<?php 
	endif;
	
	// sticky Primary Menu and secondaryMenu ( top menu )
	if( virsky_opt('virsky_header_sticky') == 'stickytopmenubar' ){
		$stickypsel = $stickyAttr; 
		$psdivstart =  '<div '.wp_kses_post( $stickypsel ).'>';
		$psdivend =  '</div>';
	}else{
		$psdivstart =  '';
		$psdivend   =  '';
	}
	
	// Primary Menu Start
	if( virsky_opt( 'virsky_header_top' ) ):
	
		// sticky TOp bar
		if( virsky_opt('virsky_header_sticky') == 'stickytopbar' ){
			$stickyTopel = $stickyAttr; 
		}else{
			$stickyTopel = '';
		}
	
	//
	echo wp_kses_post( $psdivstart ); // Start div sticky Primary Menu and secondaryMenu ( top menu )
	?>
	<nav id="primaryMenu" class="navbar" <?php echo wp_kses_post( $stickyTopel ); ?>>
		<div class="container">
			<div id="primaryNavbar" class="reset-padding">
				<!-- Primary Menu Links Start -->
				<?php 
				if( virsky_opt( 'virsky_header_phonemail' ) ):
				?>
				<ul class="primary-menu-links nav navbar-nav">
					<?php 
						// 
						if( virsky_opt('virsky_header_text') ){
							echo '<li class="hidden-xs"><span>'.virsky_wp_kses_allow( virsky_opt('virsky_header_text') ).'</span></li>';
						}
						//
						if( virsky_opt('virsky_header_mobile') ){
							echo '<li><span class="phone"><i class="fa fa-phone"></i>'.esc_html( virsky_opt('virsky_header_mobile') ).'</span></li>';
						}
						//
						if( virsky_opt('virsky_header_email') ){
							echo '<li><span class="email"><i class="fa fa-envelope"></i>'.esc_html( virsky_opt('virsky_header_email') ).'</span></li>';
						}
					?>
				</ul>
				<?php
				endif;
				// Primary Social Links Start
				if( virsky_opt( 'virsky_header_social' ) ){
					echo virsky_social(
						array(
							'ul_class' => 'primary-social-menu-links nav navbar-nav navbar-right'
						)
					);
				}
				?>
			</div>
		</div>
	</nav>
	<?php 
	endif;
	echo wp_kses_post( $divend ); // end div promo and primary sticky 
	
	// sticky menu bar
	if( virsky_opt('virsky_header_sticky') == 'stickymenubar' ){
		$stickySecel = $stickyAttr; 
	}else{
		$stickySecel = '';
	}
	
	?>
	<nav id="secondaryMenu" class="navbar" <?php echo wp_kses_post( $stickySecel.$stickypromomenubar ); ?>>
		<div class="container">
			<div class="navbar-header">
				<?php 
				// 
				if( has_custom_logo() ){
					echo '<div class="custom-navbar-brand">';
					the_custom_logo();
					echo '</div>';
				}else{
					echo virsky_theme_logo();
				}
				?>
			</div>
			
			<?php 
			// Off-Canvas Menu Toggle Button Start
						
			if( virsky_opt('virsky_off_canvas_menu') == '1' || empty( virsky_opt('virsky_off_canvas_menu') ) ) :
			
			$getvals = virsky_opt( 'virsky_header_offcanv_hide' );
						
			$offcmhide = '';
			if( is_array( $getvals ) && count( $getvals ) > 0 ){
				foreach( $getvals as $getval ){
					
					if( $getval == '1' ){
						$offcmhide .= ' hide-desktop';
					}elseif( $getval == '2' ){
						$offcmhide .= ' hide-tablate';
						
					}elseif( $getval == '3' ){
						$offcmhide .= ' hide-mobile';
					}else{
						$offcmhide .= '';
					}
					
				}
			}else{
				
				if(  empty( virsky_opt('virsky_off_canvas_menu') ) ){
					$offcmhide .= ' hide-desktop';
				}
			}
			
			?>
			<button class="btn menu-toggle-btn <?php echo esc_attr( $offcmhide ); ?> ">
				<i class="fa fa-navicon"></i> <?php esc_html_e( 'Menu', 'virtusky' ); ?>
			</button>
			<?php 
			endif;
			?>
			
			<div id="secondaryNavbar" class="navbar-right reset-padding hidden-sm hidden-xs">
				<?php 
				if( has_nav_menu( 'primary-menu' ) ){
					$args = array(
						'theme_location' => 'primary-menu',
						'menu_class'     => 'secondary-menu-links nav navbar-nav',
						'fallback_cb'    => 'virsky_bootstrap_navwalker::fallback',
						'walker'    	 => new virsky_bootstrap_navwalker(),
					);  
					wp_nav_menu( $args );
				}
				?>

			</div>
		</div>
	</nav>
	<?php 
	echo wp_kses_post( $psdivend ); // end div div sticky Primary Menu and secondaryMenu ( top menu )
	?>
	<!-- Off-Canvas Menu Start -->
	<div class="off-canvas-menu">
		<!-- Off-Canvas Menu Close Button Start -->
		<button type="button" class="off-canvas-menu--close-btn"><i class="fa fa-close"></i></button>

		<div class="off-canvas-menu-logo">
			<?php 
			// Off Canvas Menu Logo Start
			if( has_custom_logo() ){
				the_custom_logo();
			}else{
				echo virsky_canvas_menu_logo();
			}
			?>
		</div>		
		<?php 
		// Off Canvas Menu Links Start
		echo '<div class="canvas-primary-menu">';
			wp_nav_menu( $args );
		echo '</div>';
		$canvas = array(
			'theme_location' => 'canvas-menu',
			'menu_class'     => 'nav nav-pills nav-stacked',
			'depth'			 => 3,
			'fallback_cb'    => 'virsky_bootstrap_navwalker::fallback',
			'walker'    	 => new virsky_bootstrap_navwalker(),
		);  
		wp_nav_menu( $canvas );

		// 
		if( virsky_opt('virsky_header_logsing') ){
			echo '<div class="text-center"><a href="'.esc_url( virsky_opt('virsky_header_loginUrl') ).'" class="btn btn-default login-button"><i class="fa fa-user"></i> '.esc_html( virsky_opt('virsky_header_loginText') ).'</a></div>';
		}
		?>
	</div>
	<div class="off-canvas-menu-overlay"></div>
</div>