<?php 
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}
/**
 * @Packge    : VirtuSky
 * @version   : 1.0
 * @Author    : ThemeLooks
 * @Author URI: https://www.themelooks.com/
 */


if( virsky_meta('header_overlay') ){
	$overlay = 'bg--overlay';
}else{
	$overlay = '';
}

// bg 
if( virsky_meta( 'header_bgimg' ) ){
	$bg = 'data-bg-img="'.esc_url( virsky_meta( 'header_bgimg' ) ).'"';
}else{
	$bg = '';
}
// Global Class
if( virsky_meta( 'slide_header_settings' ) != 'pageset' ){
	$globalCss = 'globpageheader ';
	
	if( virsky_opt('virsky_allHeader_overlay') ){
		$overlay = 'bg--overlay';
	}else{
		$overlay = '';
	}	
	
}else{
	$globalCss = '';
}


?> 
<div id="pageTitle" class="pageheader <?php echo esc_attr( $globalCss.$overlay ); ?>" <?php echo wp_kses_post( $bg ); ?>>
	<div class="container">
		<div class="row">
			<div class="col-md-6">
				<div class="section-title">
                <?php 
				// title
				if(  is_virsky_woocommerce_activated() && is_shop() ){
					echo '<h2>';
						woocommerce_page_title();
					echo '</h2>';
					
				}else{

					if ( is_archive() ){
						the_archive_title('<h2>', '</h2>');
					}elseif ( is_home() ){
						echo '<h2>'.esc_html__( 'Blog', 'virtusky' ).'</h2>';
					}elseif(is_search()){
						echo '<h2>'.esc_html__( 'Search Result', 'virtusky' ).'</h2>';
					} else{
						the_title( '<h2>', '</h2>' );
					}
				}
	
                ?>
				</div>
			</div>
			<?php 
			if( virsky_opt('virsky_enable_breadcrumb') ):
			?>
			<div class="col-md-6">
				<?php 
                // Breadcrumbs 
                if( virsky_opt( 'virsky_enable_breadcrumb' ) ){
                    virsky_breadcrumbs(
                        array(
                            'class' => 'breadcrumb'
                        )
                    );
                }
                ?>
			</div>
			<?php 
			endif;
			?>
		</div>
	</div>
</div>