<?php 
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
    exit( 'Direct script access denied.' );
}
/**
 * @Packge    : VirtuSky
 * @version   : 1.0
 * @Author    : ThemeLooks
 * @Author URI: https://www.themelooks.com/
 */
?>

<h1 class="blog-item-title"><?php esc_html_e( 'Nothing Found', 'virtusky' ); ?></h1>

<?php if ( is_home() && current_user_can( 'publish_posts' ) ) : ?>

    <p><?php printf( esc_html__( 'Ready to publish your first post? <a href="%1$s">Get started here</a>.', 'virtusky' ), esc_url( admin_url( 'post-new.php' ) ) ); ?></p>

<?php elseif ( is_search() ) : ?>

    <p><?php esc_html_e( 'Sorry, but nothing matched your search terms. Please try again with some different keywords.', 'virtusky' ); ?></p>
    
    <div class="row">
        <div class="col-sm-6">
            <?php get_search_form(); ?>
        </div>
    </div>
    

<?php else : ?>

    <p><?php esc_html_e( 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching can help.', 'virtusky' ); ?></p>
    <?php get_search_form(); ?>

<?php endif; ?>
