<!doctype html>
<html lang="en">

<head>
    <meta charset="{$charset}" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>{if $kbarticle.title}{$kbarticle.title} - {/if}{$pagetitle} - {$companyname}</title>
    {include file="$template/includes/head.tpl"}
    {$headoutput}

    <link
        href="//fonts.googleapis.com/css?family=Open+Sans:300,400,600%7CRaleway:400,700%7CRoboto:300,400,500,700,900%7CMontserrat:700"
        rel="stylesheet">
    <link href="{assetPath file='theme/fakeLoader.css'}" rel="stylesheet">
    <link href="{assetPath file='theme/theme.css'}" rel="stylesheet">
    <link href="{assetPath file='theme/theme-responsive.css'}" rel="stylesheet">
    <link href="{assetPath file='theme/theme-color-1.css'}" rel="stylesheet">
</head>

<body class="primary-bg-color" data-phone-cc-input="{$phoneNumberInputStyle}">
    {$headeroutput}

    <!-- FakeLoader Start -->
    <div id="fakeLoader"></div>
    <!-- FakeLoader End -->



    <header id="header" class="header">
        {if $loggedin}
            <div class="topbar">
                <div class="container">
                    <div class="d-flex">
                        <div class="mr-auto">
                            <button type="button" class="btn" data-toggle="popover" id="accountNotifications"
                                data-placement="bottom">
                                <i class="far fa-flag"></i>
                                {if count($clientAlerts) > 0}
                                    {count($clientAlerts)}
                                    <span class="d-none d-sm-inline">{lang key='notifications'}</span>
                                {else}
                                    <span class="d-sm-none">0</span>
                                    <span class="d-none d-sm-inline">{lang key='nonotifications'}</span>
                                {/if}
                            </button>
                            <div id="accountNotificationsContent" class="w-hidden">
                                <ul class="client-alerts">
                                    {foreach $clientAlerts as $alert}
                                        <li>
                                            <a href="{$alert->getLink()}">
                                                <i
                                                    class="fas fa-fw fa-{if $alert->getSeverity() == 'danger'}exclamation-circle{elseif $alert->getSeverity() == 'warning'}exclamation-triangle{elseif $alert->getSeverity() == 'info'}info-circle{else}check-circle{/if}"></i>
                                                <div class="message">{$alert->getMessage()}</div>
                                            </a>
                                        </li>
                                    {foreachelse}
                                        <li class="none">
                                            {lang key='notificationsnone'}
                                        </li>
                                    {/foreach}
                                </ul>
                            </div>
                        </div>

                        <div class="ml-auto">
                            <div class="input-group active-client" role="group">
                                <div class="input-group-prepend d-none d-md-inline">
                                    <span class="input-group-text">Logged in as:</span>
                                </div>
                                <div class="btn-group">
                                    <a href="{$WEB_ROOT}/clientarea.php?action=details" class="btn btn-active-client">
                                        <span>
                                            {if $client.companyname}
                                                {$client.companyname}
                                            {else}
                                                {$client.fullName}
                                            {/if}
                                        </span>
                                    </a>
                                    <a href="{routePath('user-accounts')}" class="btn" data-toggle="tooltip"
                                        data-placement="bottom" title="Switch Account">
                                        <i class="fad fa-random"></i>
                                    </a>
                                    {if $adminMasqueradingAsClient || $adminLoggedIn}
                                        <a href="{$WEB_ROOT}/logout.php?returntoadmin=1" class="btn btn-return-to-admin"
                                            data-toggle="tooltip" data-placement="bottom"
                                            title="{if $adminMasqueradingAsClient}{lang key='adminmasqueradingasclient'} {lang key='logoutandreturntoadminarea'}{else}{lang key='adminloggedin'} {lang key='returntoadminarea'}{/if}">
                                            <i class="fas fa-redo-alt"></i>
                                            <span class="d-none d-md-inline-block">{lang key="admin.returnToAdmin"}</span>
                                        </a>
                                    {/if}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {/if}

        <!-- Menu Area Start -->
        <div id="menu">
            {if !$loggedin}
                <!-- Promo Area Start -->
                <div id="promo" class="alert">
                    <button type="button" class="close" data-dismiss="alert">&times;</button>

                    <div class="container">
                        <p><strong>Cyber Monday! </strong>Up To<strong> 98% Off</strong> All Of Your New Order. Coupon Code:
                            "<strong>cm98</strong>". Time Left: <strong data-counter-down="2017/11/29">00:00:00</strong></p>

                        <a href="#" class="btn btn-custom">Click Here</a>
                    </div>
                </div>
                <!-- Promo Area End -->
            {/if}

            <!-- Primary Menu Start -->
            <nav id="primaryMenu" class="navbar">
                <div class="container">
                    <div id="primaryNavbar"
                        class="reset-padding d-flex align-items-center justify-content-between w-100">
                        <!-- Primary Menu Links Start -->
                        <ul class="primary-menu-links nav navbar-nav flex-row">
                            <li class="d-none d-sm-block"><span>Welcome To CloudServer Template</span></li>
                            <li><span class="phone"><i class="fa fa-phone"></i>123 - 456 - 12348</span></li>
                            <li><span class="email"><i class="fa fa-envelope"></i>info@example.com</span></li>
                        </ul>
                        <!-- Primary Menu Links End -->

                        <!-- Primary Social Links Start -->
                        <ul class="primary-social-menu-links nav navbar-nav navbar-right flex-row">
                            <li><a class="text-white" href="#"><i class="fab fa-facebook-f"></i></a></li>
                            <li><a class="text-white" href="#"><i class="fab fa-twitter"></i></a></li>
                            <li><a class="text-white" href="#"><i class="fab fa-google-plus-g"></i></a></li>
                            <li><a class="text-white" href="#"><i class="fa fa-rss"></i></a></li>
                        </ul>
                        <!-- Primary Social Links End -->
                    </div>
                </div>
            </nav>
            <!-- Primary Menu End -->

            <!-- Secondary Menu Start -->
            <nav id="secondaryMenu" class="navbar p-0" data-sticky="true">
                <div class="container d-block">
                    <div class="navbar-header float-md-left">
                        <!-- Logo Start -->
                        <a href="{$WEB_ROOT}/index.php" class="navbar-brand">
                            <img src="{$WEB_ROOT}/templates/{$template}/img/logo.png" alt="{$companyname}"
                                class="img-responsive" />
                        </a>
                        <!-- Logo End -->
                    </div>

                    <!-- Off-Canvas Menu Toggle Button Start -->
                    <button class="btn menu-toggle-btn">
                        <i class="fa fa-navicon"></i> Menu
                    </button>
                    <!-- Off-Canvas Menu Toggle Button End -->

                    <!-- Secondary Menu Links Start -->
                    <div id="secondaryNavbar" class="navbar-right reset-padding d-none d-lg-block float-md-right">
                        <ul class="secondary-menu-links nav">
                            <li><a href="http://www.themelooks.us/demo/cloudserver/html/preview/index.html">Home</a>
                            </li>
                            <li>
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">Hosting <span
                                        class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/shared-hosting.html">Shared
                                            Hosting</a></li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/reseller-hosting.html">Reseller
                                            Hosting</a></li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/vps-hosting.html">VPS
                                            Hosting</a></li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/dedicated-hosting.html">Dedicated
                                            Hosting</a></li>
                                </ul>
                            </li>
                            <li><a href="http://www.themelooks.us/demo/cloudserver/html/preview/domain.html">Domain</a>
                            </li>
                            <li>
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">Pages <span
                                        class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/about.html">About</a>
                                    </li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/service-details.html">Service
                                            Details</a></li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/gallery.html">Gallery</a>
                                    </li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/faq.html">FAQ</a>
                                    </li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/datacenter.html">Datacenter</a>
                                    </li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/testimonial.html">Testimonial</a>
                                    </li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/login.html">Login</a>
                                    </li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/affiliate.html">Affiliate</a>
                                    </li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/404.html">404</a>
                                    </li>
                                </ul>
                            </li>
                            <li>
                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">Blog <span
                                        class="caret"></span></a>
                                <ul class="dropdown-menu">
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/blog.html">Blog</a>
                                    </li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/blog-details-left.html">Blog
                                            Details Left</a></li>
                                    <li><a
                                            href="http://www.themelooks.us/demo/cloudserver/html/preview/blog-details-right.html">Blog
                                            Details Right</a></li>
                                </ul>
                            </li>
                            <li><a
                                    href="http://www.themelooks.us/demo/cloudserver/html/preview/contact.html">Contact</a>
                            </li>
                        </ul>
                    </div>
                    <!-- Secondary Menu Links End -->
                </div>
            </nav>
            <!-- Secondary Menu End -->

            <!-- Off-Canvas Menu Start -->
            <div class="off-canvas-menu">
                <!-- Off-Canvas Menu Close Button Start -->
                <button type="button" class="off-canvas-menu--close-btn"><i class="fas fa-times"></i></button>
                <!-- Off-Canvas Menu Close Button End -->

                <!-- Off-Canvas Menu Logo Start -->
                <div class="off-canvas-menu-logo">
                    <a href="index.html">
                        <img src="{$WEB_ROOT}/templates/{$template}/img/logo-offcanvas.png" alt=""
                            class="img-responsive center-block" />
                    </a>
                </div>
                <!-- Off-Canvas Menu Logo End -->

                <!-- Off-Canvas Menu Links Start -->
                <ul class="nav nav-pills nav-stacked flex-column">
                    <li class="active"><a href="index.html"><i class="fa fa-fw fa-home"></i> Home</a></li>
                    <li>
                        <a href="#" class="dropdown-toggle">
                            <i class="fa fa-fw fa-server"></i> Hosting <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li><a href="shared-hosting.html"><i class="fa fa-fw fa-angle-right"></i> Shared Hosting</a>
                            </li>
                            <li><a href="reseller-hosting.html"><i class="fa fa-fw fa-angle-right"></i> Reseller
                                    Hosting</a>
                            </li>
                            <li><a href="vps-hosting.html"><i class="fa fa-fw fa-angle-right"></i> VPS Hosting</a></li>
                            <li><a href="dedicated-hosting.html"><i class="fa fa-fw fa-angle-right"></i> Dedicated
                                    Hosting</a></li>
                        </ul>
                    </li>
                    <li><a href="domain.html"><i class="fa fa-fw fa-at"></i> Domain</a></li>
                    <li>
                        <a href="#" class="dropdown-toggle"><i class="fa fa-fw fa-copy"></i>
                            Pages
                            <span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="about.html"><i class="fa fa-fw fa-angle-right"></i> About</a></li>
                            <li><a href="service-details.html"><i class="fa fa-fw fa-angle-right"></i> Service
                                    Details</a>
                            </li>
                            <li><a href="gallery.html"><i class="fa fa-fw fa-angle-right"></i> Gallery</a></li>
                            <li><a href="faq.html"><i class="fa fa-fw fa-angle-right"></i> FAQ</a></li>
                            <li><a href="datacenter.html"><i class="fa fa-fw fa-angle-right"></i> Datacenter</a></li>
                            <li><a href="testimonial.html"><i class="fa fa-fw fa-angle-right"></i> Testimonial</a></li>
                            <li><a href="login.html"><i class="fa fa-fw fa-angle-right"></i> Login</a></li>
                            <li><a href="affiliate.html"><i class="fa fa-fw fa-angle-right"></i> Affiliate</a></li>
                            <li><a href="404.html"><i class="fa fa-fw fa-angle-right"></i> 404</a></li>
                        </ul>
                    </li>
                    <li>
                        <a href="#" class="dropdown-toggle"><i class="fa fa-fw fa-newspaper-o"></i>
                            Blog <span class="caret"></span></a>
                        <ul class="dropdown-menu">
                            <li><a href="blog.html"><i class="fa fa-fw fa-angle-right"></i> Blog</a></li>
                            <li><a href="blog-details-left.html"><i class="fa fa-fw fa-angle-right"></i> Blog Details
                                    Left</a></li>
                            <li><a href="blog-details-right.html"><i class="fa fa-fw fa-angle-right"></i> Blog Details
                                    Right</a></li>
                        </ul>
                    </li>
                    <li><a href="contact.html"><i class="fa fa-fw fa-envelope-o"></i> Contact</a></li>
                </ul>
                <!-- Off-Canvas Menu Links End -->

                <a href="{$WEB_ROOT}/clientarea.php" class="btn btn-default login-button"><i class="fa fa-user"></i>
                    Login</a>
            </div>

            <div class="off-canvas-menu-overlay"></div>
            <!-- Off-Canvas Menu End -->
        </div>
        <!-- Menu Area End -->

        <div class="navbar navbar-light border-top">
            <div class="container">
                <a class="navbar-brand mr-3" href="{$WEB_ROOT}/index.php">
                    {if $assetLogoPath}
                        <img src="{$assetLogoPath}" alt="{$companyname}" class="logo-img">
                    {else}
                        {$companyname}
                    {/if}
                </a>

                <form method="post" action="{routePath('knowledgebase-search')}" class="form-inline ml-auto">
                    <div class="input-group search d-none d-xl-flex">
                        <div class="input-group-prepend">
                            <button class="btn btn-default" type="submit">
                                <i class="fas fa-search"></i>
                            </button>
                        </div>
                        <input class="form-control appended-form-control font-weight-light" type="text" name="search"
                            placeholder="{lang key="searchOurKnowledgebase"}...">
                    </div>
                </form>

                <ul class="navbar-nav toolbar">
                    <li class="nav-item ml-3">
                        <a class="btn nav-link cart-btn" href="cart.php?a=view">
                            <i class="far fa-shopping-cart fa-fw"></i>
                            <span class="badge badge-info">{$cartitemcount}</span>
                            <span class="sr-only">{lang key="carttitle"}</span>
                        </a>
                    </li>
                    <li class="nav-item ml-3 d-xl-none">
                        <button class="btn nav-link" type="button" data-toggle="collapse" data-target="#mainNavbar">
                            <span class="fas fa-bars fa-fw"></span>
                        </button>
                    </li>
                </ul>
            </div>
        </div>
        <div class="navbar navbar-expand-xl main-navbar-wrapper">
            <div class="container">
                <div class="collapse navbar-collapse px-lg-0" id="mainNavbar">
                    <form method="post" action="{routePath('knowledgebase-search')}" class="d-xl-none">
                        <div class="input-group search w-100 mb-2">
                            <div class="input-group-prepend">
                                <button class="btn btn-default" type="submit">
                                    <i class="fas fa-search"></i>
                                </button>
                            </div>
                            <input class="form-control prepended-form-control" type="text" name="search"
                                placeholder="{lang key="searchOurKnowledgebase"}...">
                        </div>
                    </form>
                    <ul id="nav" class="navbar-nav mr-auto">
                        {include file="$template/includes/navbar.tpl" navbar=$primaryNavbar}
                    </ul>
                    <ul class="navbar-nav ml-auto">
                        {include file="$template/includes/navbar.tpl" navbar=$secondaryNavbar rightDrop=true}
                    </ul>
                </div>
            </div>
        </div>
    </header>

    {include file="$template/includes/network-issues-notifications.tpl"}

    <nav class="master-breadcrumb" aria-label="breadcrumb">
        <div class="container">
            {include file="$template/includes/breadcrumb.tpl"}
        </div>
    </nav>

    {include file="$template/includes/validateuser.tpl"}
    {include file="$template/includes/verifyemail.tpl"}

    {if $templatefile == 'homepage'}
        {if $registerdomainenabled || $transferdomainenabled}
            {include file="$template/includes/domain-search.tpl"}
        {/if}
    {/if}

    <section id="main-body">
        <div class="{if !$skipMainBodyContainer}container{/if}">
            <div class="row">

                {if !$inShoppingCart && ($primarySidebar->hasChildren() || $secondarySidebar->hasChildren())}
                    <div class="col-lg-4 col-xl-3">
                        <div class="sidebar">
                            {include file="$template/includes/sidebar.tpl" sidebar=$primarySidebar}
                        </div>
                        {if !$inShoppingCart && $secondarySidebar->hasChildren()}
                            <div class="d-none d-lg-block sidebar">
                                {include file="$template/includes/sidebar.tpl" sidebar=$secondarySidebar}
                            </div>
                        {/if}
                    </div>
                {/if}
                <div
                    class="{if !$inShoppingCart && ($primarySidebar->hasChildren() || $secondarySidebar->hasChildren())}col-lg-8 col-xl-9{else}col-12{/if} primary-content">